#
# spec file for package libsigsegv
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define somajor	2
%define lname	  libsigsegv%{somajor}
Name:           libsigsegv
Version:        2.11
Release:        lp150.1.15
Summary:        Library for Handling Page Faults in User Mode
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://www.gnu.org/software/libsigsegv/
Source0:        https://ftp.gnu.org/pub/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
Source1:        https://ftp.gnu.org/pub/gnu/libsigsegv/libsigsegv-%{version}.tar.gz.sig
Source2:        https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=%{name}&download=1#/%{name}.keyring
BuildRequires:  pkgconfig

%description
This is a library for handling page faults in user mode. A page fault occurs
when a program tries to access to a region of memory that is currently not
available.

%package -n %{lname}
Summary:        Library for Handling Page Faults in User Mode
Group:          System/Libraries

%description -n %{lname}
This is a library for handling page faults in user mode. A page fault occurs
when a program tries to access to a region of memory that is currently not
available.

%package devel
Summary:        Library for Handling Page Faults in User Mode
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}-%{release}

%description devel
This is a library for handling page faults in user mode. A page fault occurs
when a program tries to access to a region of memory that is currently not
available.

%package doc
Summary:        Library for Handling Page Faults in User Mode
Group:          Documentation/Other

%description doc
This is a library for handling page faults in user mode. A page fault occurs
when a program tries to access to a region of memory that is currently not
available.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--enable-static
make %{?_smp_mflags}

%install
%make_install
rm "%{buildroot}%{_libdir}/libsigsegv.la"

%check
%if 0%{?qemu_user_space_build:1}
# qemu does not support stack overflows well ;)
make %{?_smp_mflags} check TESTS='sigsegv1 sigsegv2 sigsegv3'
%else
make %{?_smp_mflags} check
%endif

%post   -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files doc
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS PORTING README

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/libsigsegv.so.%{somajor}*

%files devel
%defattr(-,root,root)
%{_includedir}/sigsegv.h
%{_libdir}/libsigsegv.so
%{_libdir}/libsigsegv.a

%changelog
* Mon May 22 2017 mpluskal@suse.com
- Add gpg signature
- Small spec file cleanup with spec-cleaner
- Trim dependencies
* Wed Feb 22 2017 werner@suse.de
- Update to version 2.11
  * Added support for catching stack overflow on Linux/SPARC.
  * Provide a correct value for SIGSTKSZ on 64-bit AIX and on HP-UX. The one
    defined by these systems is too small.
  * Updated build infrastructure.
  * Compilation now requires the <stdint.h> include file. Platforms which
  don't have this include file (such as IRIX) are no longer supported.
  * NOTE: Support for Cygwin and native Windows is currently not up-to-date.
- Update URL that is use https://www.gnu.org/software/libsigsegv/
* Wed Jul  3 2013 schwab@suse.de
- fix-build-in-qemu.patch: Remove, set XFAIL_TESTS instead
- Reenable testsuite on armv7
* Wed May  8 2013 werner@suse.de
- Update to version 2.10
- Adopt patch fix-build-in-qemu.patch
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Fri Dec  3 2010 pascal.bleser@opensuse.org
- initial package (2.9)
